const apis = require("geojson-places");

async function getLocationInfoFromGps(req,res){
    const lat = parseFloat(req.body.lat);
    const lon = parseFloat(req.body.lon);
    const locationInfo = apis.lookUp(lat,lon);

    console.log(`gps location ${lat,lon} ${JSON.stringify(locationInfo)}`);

    return res.status(200).json(locationInfo || {});
}

module.exports = {
    getLocationInfoFromGps,
}