const geoip = require('geoip-lite');

async function getLocationInfoByIp(req, res){
    const ip = req.body.ip;
    const locationInfo = geoip.lookup(ip);

    console.log(`ip=${ip} location=${JSON.stringify(locationInfo)}`);

    return res.status(200).json(locationInfo);
}

module.exports = {
    getLocationInfoByIp,
}