const env = process.argv[process.argv.indexOf('--env') + 1];
// 国内时区
const Shanghai_TZ = 'Asia/Shanghai';
// 雅加达时区
const Jakarta_TZ = 'Asia/Jakarta';

module.exports = {
  "apps": [
    {
      "name": `${env}-ppfun-geoip`,
      "script": "app.js",
      "instances": 1,
      "exec_mode": "fork",
      'error_file':      `/data/logs/server-ppfun/${env}-ppfun-geoip-error.log`,
      'out_file':        `/data/logs/server-ppfun/${env}-ppfun-geoip-out.log`,
      'log_file':        `/data/logs/server-ppfun/${env}-ppfun-geoip-error.log`,
      "combine_logs": false,
      "log_date_format": "YYYY-MM-DD HH:mm:ss.SSS ZZ",
      'env_overseas-dev': {
          "PORT": 7801,
          'TZ':              Jakarta_TZ,
      },
      'env_overseas-prod': {
          "PORT": 7801,
          'TZ':              Jakarta_TZ,
      }
    }
  ]
}